For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The EmployerBenefit object
          • GET/employer-benefits
          • GET/employer-benefits/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsEmployer benefits

/employer-benefits/{id}

GET
/hris/v1/employer-benefits/:id
GET
/api/hris/v1/employer-benefits/:id
$curl https://api.merge.dev/api/hris/v1/employer-benefits/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "025fjlc6-6000-430a-848e-aafacbadf4fele",
3 "remote_id": "19202939",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "benefit_plan_type": "MEDICAL",
7 "name": "Kaiser Permanente Medical Plan",
8 "description": "HDHP Silver Plan",
9 "deduction_code": "COL",
10 "remote_was_deleted": true,
11 "field_mappings": {
12 "organization_defined_targets": {
13 "custom_key": "custom_value"
14 },
15 "linked_account_defined_targets": {
16 "custom_key": "custom_value"
17 }
18 },
19 "remote_data": [
20 {
21 "path": "/platform-endpoint",
22 "data": null
23 }
24 ]
25}

Returns an EmployerBenefit object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/employer-benefits

Next

The Employment object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
benefit_plan_typeenum or null

The type of benefit plan.

  • MEDICAL - MEDICAL
  • HEALTH_SAVINGS - HEALTH_SAVINGS
  • INSURANCE - INSURANCE
  • RETIREMENT - RETIREMENT
  • OTHER - OTHER
Allowed values:
namestring or null<=200 characters

The employer benefit’s name - typically the carrier or network name.

descriptionstring or null<=2000 characters
The employer benefit's description.
deduction_codestring or null<=60 characters
The employer benefit's deduction code.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only